/// <reference types="react" />
import * as React from 'react';
import { ReactNode } from 'react';
import { ObjectClean } from 'typelevel-ts';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const POPUP: symbol;
export declare type TRawPopupProps = {
    theme: {
        container?: string;
        header?: string;
        body?: string;
        footer?: string;
        backdrop?: string;
        backdrop_isModal?: string;
        backdrop_closeOnClickAway?: string;
    };
    children: ReactNode;
    header?: ReactNode;
    footer?: ReactNode;
    isModal?: boolean;
    isOpened?: boolean;
    shouldCloseOnClickAway?: boolean;
    onRequestClose?: () => any;
    container?: Element;
};
export declare type TPopupProps = ObjectClean<PartialKeys<TRawPopupProps, 'theme'>>;
export declare const Popup: React.ComponentClass<PartialKeys<TRawPopupProps & {
    withRef?: string | ((instance: any) => any) | React.RefObject<any> | undefined;
}, "theme">>;
