/// <reference types="react" />
import { ComponentClass } from 'react';
import { ObjectClean } from 'typelevel-ts/lib';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const NativeResizeDetector: {
    listenTo: (element: Element, handler: (element: Element) => any) => void;
    removeListener: (element: Element, handler: (element: Element) => any) => void;
    removeAllListeners: (element: Element) => void;
    uninstall: (element: Element) => void;
};
export declare const RESIZE_DETECTOR: symbol;
export declare type TFullResizeDetectorProps = {
    theme: {
        container?: string;
    };
    onResize: (element: Element) => any;
};
export declare type TResizeDetectorProps = ObjectClean<PartialKeys<TFullResizeDetectorProps, 'theme'>>;
export declare const ResizeDetector: ComponentClass<TResizeDetectorProps>;
